Executive Summary

Informations
Name CVE-2020-14350 First vendor Publication 2020-08-24
Vendor Cve Last vendor Modification 2020-09-18

Security-Database Scoring CVSS v3

Cvss vector : CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H
Overall CVSS Score 7.3
Base Score 7.3 Environmental Score 7.3
impact SubScore 5.9 Temporal Score 7.3
Exploitabality Sub Score 1.3
 
Attack Vector Local Attack Complexity Low
Privileges Required Low User Interaction Required
Scope Unchanged Confidentiality Impact High
Integrity Impact High Availability Impact High
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:L/AC:M/Au:N/C:P/I:P/A:P)
Cvss Base Score 4.4 Attack Range Local
Cvss Impact Score 6.4 Attack Complexity Medium
Cvss Expoit Score 3.4 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

It was found that some PostgreSQL extensions did not use search_path safely in their installation script. An attacker with sufficient privileges could use this flaw to trick an administrator into executing a specially crafted script, during the installation or update of such extension. This affects PostgreSQL versions before 12.4, before 11.9, before 10.14, before 9.6.19, and before 9.5.23.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14350

CWE : Common Weakness Enumeration

% Id Name
100 % CWE-426 Untrusted Search Path

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 408
Os 1
Os 2

Sources (Detail)

Source Url
CONFIRM https://security.netapp.com/advisory/ntap-20200918-0002/
DEBIAN https://lists.debian.org/debian-lts-announce/2020/08/msg00028.html
GENTOO https://security.gentoo.org/glsa/202008-13
MISC https://bugzilla.redhat.com/show_bug.cgi?id=1865746
SUSE http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00043.html
http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00044.html
http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00049.html
http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00050.html
http://lists.opensuse.org/opensuse-security-announce/2020-09/msg00003.html
http://lists.opensuse.org/opensuse-security-announce/2020-09/msg00008.html
UBUNTU https://usn.ubuntu.com/4472-1/

Alert History

If you want to see full details history, please login or register.
0
1
2
Date Informations
2020-09-18 17:22:46
  • Multiple Updates
2020-09-03 09:22:48
  • Multiple Updates
2020-09-02 17:23:09
  • First insertion